Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.core
Class JasperException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.apache.jasper.core.JasperException

All Implemented Interfaces:
  java.io.Serializable

public class JasperException
extends java.lang.Exception

General Tomcat exception

Author:
  Conor MacNeill [conor@m64.com]
See Also:
  Serialized Form

Constructor Summary
`JasperException()`
`JasperException(java.lang.String msg)`
`JasperException(java.lang.String msg, java.lang.Throwable rootCause)` Create a connector exception to encapsulate some underlying eception.
`JasperException(java.lang.Throwable rootCause)` Create a connector exception to encapsulate some underlying eception.

Method Summary
`java.lang.Throwable` | `getRootCause()` Get the underlying exception that caused this ConnectorException.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JasperException

    public JasperException()

### JasperException

    public JasperException(java.lang.String msg)

### JasperException

    public JasperException(java.lang.Throwable rootCause)

  Create a connector exception to encapsulate some underlying eception.

### JasperException

    public JasperException(java.lang.String msg,
                           java.lang.Throwable rootCause)

  Create a connector exception to encapsulate some underlying eception.

Method Detail

### getRootCause

    public java.lang.Throwable getRootCause()

  Get the underlying exception that caused this ConnectorException.

  Returns:
    the `Throwable` that caused this connector exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.